// pages/conferenceList/conferenceList.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    conference: ""
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {

  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {
    this.setData({
      conference: ""
    });
    this.getConference();
  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {
    return{
      path:'packageA/member/conferenceList/conferenceList'
    };
  },
  onShareTimeline(){
    return{
      path:'packageA/member/conferenceList/conferenceList'
    };
  },
  //获取活动列表数据
  getConference() {
    let that = this;
    let urlStr = app.getNetAddresss("plugin.conference.api.conference-activity.get-activity");
    app._getNetWork({
      url: urlStr,
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            conference: res.data
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
  goMeetingIndex() {
    wx.navigateTo({
      url: '/packageB/conference/MeetingIndex/MeetingIndex'
    });
  },
  goactivity(e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/packageB/conference/activity/activity?id=' + id
    });
  },
  onActivityInfo(e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/packageB/conference/myActivityInfo/myActivityInfo?id=' + id
    });
  }
});
